<?php
/**
 * @package admin
 * @copyright Copyright 2008 T Zinni
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: giftcard_admin.php 10294 2008-05-20 12:59:06Z nzinni $
 */
//

//global to all subpages
  define('TOP_BAR_TITLE', 'Statistics');
  define('HEADING_TITLE', 'Gift Card Manager');
  define('HEADING_TITLE_STATUS', 'Status : ');
  define('TEXT_GIFTCARD', 'Gift Card Name:');
  define('TEXT_HEADING_GIFTCARD_REPORT', 'Gift Card Report');
  define('ERROR_GIFTCARD_FAILED_DB', 'There was an error processing the database.  Please try again later.');

//sorting
  define('TEXT_GIFTCARD_ALL', 'All Gift Cards');
  define('TEXT_GIFTCARD_ACTIVE', 'Active Gift Cards');
  define('TEXT_GIFTCARD_INACTIVE', 'Inactive Gift Cards');

define('TEXT_CONFIRM_DELETE', 'Deletion cannot be undone and all associated data (comments, tracking, etc.) with this gift card will be forever lost.  Are you sure you want to delete this Gift Card?');
  

//Input labels
  define('LABEL_GIFTCARD_VALUE', 'Gift Card Face Value:');
  define('LABEL_GIFTCARD_BALANCE', 'Gift Card Account Balance:');
  define('LABEL_GIFTCARD_CODE', 'Gift Card Code:');
  define('LABEL_GIFTCARD_SALE_ORDER', 'Sold on Order #:');
  define('LABEL_GIFTCARD_COMMENTS', 'Comments:');
  define('LABEL_DATE_CREATED', 'Date Created');
  define('LABEL_DATE_MODIFIED', 'Date Modified');
  define('LABEL_GIFTCARD_ZONE_RESTRICTION', 'Gift Card Zone Restriction: ');
  define('LABEL_GIFTCARD_ACTIVE', 'Activated?:');
  define('TABLE_HEADING_ACTION', 'Action');

//input field descriptions for create page
  define('GIFTCARD_ZONE_RESTRICTION_HELP', 'Select the Gift Card Zone Restriction.');
  define('GIFTCARD_VALUE_HELP', 'The face value of the gift card.');
  define('GIFTCARD_CODE_HELP', 'Enter the card code here (usually on reverse side - one per card).');

//heading text
  define('TEXT_HEADING_NEW_GIFTCARD', 'Create New Gift Card');
  define('TEXT_HEADING_DELETE_GIFTCARD', 'Delete Gift Card');
  define('TEXT_HEADING_ACTIVATE_GIFTCARD', 'Activate A New Gift Card');
  define('TEXT_HEADING_REACTIVATE_GIFTCARD', 'Re-Activate A Gift Card');
  define('TEXT_HEADING_LOCK_GIFTCARD', 'Lock An Active Gift Card');
  define('TEXT_HEADING_COMMENTS_GIFTCARD', 'Edit Gift Card Comments');
  define('TEXT_HEADING_VALUE_GIFTCARD', 'Edit Gift Card Face Value');
  define('TEXT_HEADING_BALANCE_GIFTCARD', 'Edit Gift Card Account Balance');
  define('TEXT_HEADING_ORDER_GIFTCARD', 'Edit Gift Card Purchase Order Info');
  define('TEXT_HEADING_ZONE_GIFTCARD', 'Edit Gift Card Zone Restriction');
  define('BOX_HEADING_GIFTCARD_ADMIN', 'Gift Cards');

//button text
  define('GIFTCARD_BUTTON_PREVIEW', 'Preview');
  define('GIFTCARD_BUTTON_CONFIRM', 'Confirm');
  define('GIFTCARD_BUTTON_BACK', 'Back');
  define('GIFTCARD_BUTTON_INSERT', 'Insert New Gift Card');
  define('GIFTCARD_BUTTON_DELETE', 'Delete Current Gift Card');
  define('GIFTCARD_BUTTON_ACTIVATE', 'Activate This Gift Card');
  define('GIFTCARD_BUTTON_LOCK', 'Lock This Gift Card');
  define('GIFTCARD_BUTTON_REACTIVATE', 'Re-Activate This Gift Card');
  define('GIFTCARD_BUTTON_COMMENTS', 'Edit Comments For This Gift Card');
  define('GIFTCARD_BUTTON_VALUE', 'Edit Face Value For This Gift Card');
  define('GIFTCARD_BUTTON_BALANCE', 'Edit Account Balance For This Gift Card');
  define('GIFTCARD_BUTTON_ORDER', 'Edit Purchase Order Info For This Gift Card');
  define('GIFTCARD_BUTTON_ZONE', 'Edit Zone Restriction For This Gift Card');

//paging
  define('MAX_DISPLAY_SEARCH_RESULTS_GIFTCARDS', '20');
  define('TEXT_DISPLAY_NUMBER_OF_GIFTCARDS', '20');

//Background Process Error Messages
//global
  define('ERROR_HACK_ATTEMPT_ABORT', 'Hack Intercept Attempt - Operation Aborted');
//activation
  define('ERR_HEADER_FAILED_GIFTCARD_ACTIVATED', 'Activation FAILED!');
  define('ERROR_GIFTCARD_PREVIOUS_ACTIVATED', 'This gift card has previously been activated. Use the \'Reactivate\' feature if it is disabled. Operation Aborted');
  define('ERROR_GIFTCARD_NO_VALUE', 'This gift card has no face value so the account balance could not be activated. - Operation Aborted');
  define('ERR_HEADER_SUCCESS_GIFTCARD_ACTIVATED', 'Activation Successful!');
  define('ERROR_GIFTCARD_SUCCESS_ACTIVATED', 'This gift card was successfully activated.');
//reactivation
  define('ERR_HEADER_FAILED_GIFTCARD_REACTIVATED', 'Re-Activation FAILED!');
  define('ERROR_GIFTCARD_NO_COMMENTS_BALANCE_RA', 'Since there is an available account balance for this gift card, a reason for re-activation is required in the Comments field. - Operation Aborted');
  define('ERROR_GIFTCARD_NOT_PREVIOUS_ACTIVATED', 'This gift card has not previously been activated. Use the \'Activate\' instead. Operation Aborted');
  define('ERROR_GIFTCARD_NO_BALANCE', 'This gift card has no available account balance and will not be re-activated. - Operation Aborted');
  define('ERROR_GIFTCARD_SUCCESS_REACTIVATED', 'This gift card was successfully re-activated.');
  define('ERR_HEADER_SUCCESS_GIFTCARD_REACTIVATED', 'Re-Activation Successful!');
//deactivation
  define('ERR_HEADER_FAILED_GIFTCARD_DEACTIVATED', 'De-Activation FAILED!');
  define('ERROR_GIFTCARD_NO_COMMENTS_BALANCE_DA', 'Since there is an available account balance for this gift card, a reason for de-activation is required in the Comments field. - Operation Aborted');
  define('ERROR_GIFTCARD_SUCCESS_DEACTIVATED', 'This gift card was successfully de-activated.');
  define('ERR_HEADER_SUCCESS_GIFTCARD_DEACTIVATED', 'De-Activation Successful!');
//create new
  define('ERR_HEADER_FAILED_GIFTCARD_CREATE', 'Create Gift Card Failed!');
  define('ERR_HEADER_SUCCESS_GIFTCARD_CREATE', 'Gift Card Successfully Created!');
  define('ERROR_GIFTCARD_SUCCESS_CREATE', 'This gift card was successfully created.');
  define('ERROR_GIFTCARD_EXISTS', 'A gift card with that code already exists.');
//delete
  define('ERR_HEADER_FAILED_GIFTCARD_DELETE', 'Delete Gift Card Failed!');
  define('ERROR_GIFTCARD_NONZERO_BALANCE', 'The gift card has an available balance and cannot be deleted. - Operation Aborted');
  define('ERR_HEADER_SUCCESS_GIFTCARD_DELETED', 'Gift Card Deletion Successful!');
  define('ERROR_GIFTCARD_SUCCESS_DELETED', 'This gift card was successfully deleted.');
//edit comments
  define('ERR_HEADER_FAILED_GIFTCARD_ECOMMENTS', 'Edit Gift Card Comments Failed!');
  define('ERROR_GIFTCARD_ECOMMENTS_NOT_ACTIVATED', 'This gift card is not activated. Cannot edit the comments. Operation Aborted');
  define('ERR_HEADER_SUCCESS_GIFTCARD_ECOMMENTS', 'Gift Card Comment Edit Successful!');
  define('ERROR_GIFTCARD_SUCCESS_ECOMMENTS', 'The gift card comments were successfully edited.');
  define('ERROR_GIFTCARD_ECOMMENTS_BLANK', 'The new comments field was left blank. - Operation Aborted');
//edit zone
  define('ERR_HEADER_FAILED_GIFTCARD_ZONE', 'Edit Gift Card Zone Failed!');
  define('ERROR_GIFTCARD_ZONE_NOT_ACTIVATED', 'This gift card is not activated. Cannot edit the zone restriction. Operation Aborted');
  define('ERROR_GIFTCARD_ZONE_NO_COMMENTS', 'A reason for editing the zone restriction is required. - Operation Aborted');
  define('ERROR_GIFTCARD_SUCCESS_ZONE', 'The gift card zone restriction successfully edited.');
  define('ERR_HEADER_SUCCESS_GIFTCARD_ZONE', 'Gift Card Zone Restriction Edit Successful!');
//edit balance
  define('ERR_HEADER_FAILED_GIFTCARD_BALANCE', 'Edit Gift Card Balance Failed!');
  define('ERROR_GIFTCARD_BALANCE_NOT_ACTIVATED', 'This gift card is not activated. Cannot edit the balance. Operation Aborted');
  define('ERROR_GIFTCARD_BALANCE_NO_COMMENTS', 'A reason for editing the account balance is required. - Operation Aborted');
  define('ERROR_GIFTCARD_BALANCE_EXCEEDS_VALUE', 'The new balance cannot exceed the face value of the gift card. - Operation Aborted');
  define('ERR_HEADER_SUCCESS_GIFTCARD_BALANCE', 'Gift Card Balance Edit Successful!');
  define('ERROR_GIFTCARD_SUCCESS_BALANCE', 'The gift card balance successfully edited.');
  define('ERROR_GIFTCARD_BALANCE_NO_BALANCE', 'Either the balance is blank or is not a number. - Operation Aborted');
//edit face value
  define('ERR_HEADER_FAILED_GIFTCARD_VALUE', 'Edit Gift Card Face Value Failed!');
  define('ERROR_GIFTCARD_VALUE_EXCEEDS_BALANCE', 'The new face value cannot be less than the account balance for the gift card. - Operation Aborted');
  define('ERROR_GIFTCARD_VALUE_NO_COMMENTS', 'A reason for editing the face value is required. - Operation Aborted');
  define('ERR_HEADER_SUCCESS_GIFTCARD_VALUE', 'Gift Card Face Value Edit Successful!');
  define('ERROR_GIFTCARD_SUCCESS_VALUE', 'The gift card face value successfully edited.');
  define('ERROR_GIFTCARD_VALUE_NO_VALUE', 'Either the face value is blank or is not a number. - Operation Aborted');
  define('ERROR_GIFTCARD_ORDER_NOT_ACTIVATED', 'This gift card is not activated. Cannot edit the face value. Operation Aborted');
//edit order info
  define('ERR_HEADER_FAILED_GIFTCARD_ORDER', 'Edit Gift Card Purchase Order Info Failed!');
  define('ERROR_GIFTCARD_ORDER_NO_COMMENTS', 'A reason for editing the customer purchase order is required. - Operation Aborted');
  define('ERR_HEADER_SUCCESS_GIFTCARD_ORDER', 'Gift Card Purchase Order Info Edit Successful!');
  define('ERROR_GIFTCARD_SUCCESS_ORDER', 'The gift card customer purchase order was successfully edited.');
  define('ERROR_GIFTCARD_ORDER_NOT_ACTIVATED', 'This gift card is not activated. Cannot edit the purchase order info. Operation Aborted');
  define('ERROR_GIFTCARD_ORDER_NO_ORDER', 'The purchase order info cannot be blank. - Operation Aborted');

?>